/*
 * Copyright (c) 2008, Koji Tsukada<tsuka@mobiquitous.com> 
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification, 
 * are permitted provided that the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, 
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice, 
 *    this list of conditions and the following disclaimer in the documentation 
 *    and/or other materials provided with the distribution.
 *    
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
 * IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE 
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED 
 * OF THE POSSIBILITY OF SUCH DAMAGE.
*/
namespace MobiServer.Devices.X10.Control
{
    partial class Panel
    {
        /// <summary>
        /// KvȃfUCiϐłB
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// gp̃\[XׂăN[Abv܂B
        /// </summary>
        /// <param name="disposing">}l[W \[Xjꍇ trueAjȂꍇ false łB</param>
        protected override void Dispose(bool disposing)
        {
            SaveSetting();
            SaveControls();
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Windows tH[ fUCiŐꂽR[h

        /// <summary>
        /// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
        /// R[h GfB^ŕύXȂłB
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            this.comboBoxComPort = new System.Windows.Forms.ComboBox();
            this.buttonOpen = new System.Windows.Forms.Button();
            this.buttonClose = new System.Windows.Forms.Button();
            this.checkBoxAutoStart = new System.Windows.Forms.CheckBox();
            this.checkBoxAutoPortScan = new System.Windows.Forms.CheckBox();
            this.groupBoxConnect = new System.Windows.Forms.GroupBox();
            this.groupBoxSetting = new System.Windows.Forms.GroupBox();
            this.serialPort1 = new System.IO.Ports.SerialPort(this.components);
            this.groupBoxButton = new System.Windows.Forms.GroupBox();
            this.buttonAllLightDim = new System.Windows.Forms.Button();
            this.buttonAllUnitOff = new System.Windows.Forms.Button();
            this.buttonAllLightBright = new System.Windows.Forms.Button();
            this.buttonAllLightOn = new System.Windows.Forms.Button();
            this.groupBoxAdd = new System.Windows.Forms.GroupBox();
            this.comboBoxType = new System.Windows.Forms.ComboBox();
            this.buttonAttach = new System.Windows.Forms.Button();
            this.comboBoxUnitCode = new System.Windows.Forms.ComboBox();
            this.comboBoxHouseCode = new System.Windows.Forms.ComboBox();
            this.groupBox1.SuspendLayout();
            this.groupBoxConnect.SuspendLayout();
            this.groupBoxSetting.SuspendLayout();
            this.groupBoxButton.SuspendLayout();
            this.groupBoxAdd.SuspendLayout();
            this.SuspendLayout();
            // 
            // groupBox1
            // 
            this.groupBox1.Controls.Add(this.groupBoxAdd);
            this.groupBox1.Controls.Add(this.groupBoxButton);
            this.groupBox1.Controls.Add(this.groupBoxConnect);
            this.groupBox1.Controls.Add(this.groupBoxSetting);
            this.groupBox1.Size = new System.Drawing.Size(644, 113);
            this.groupBox1.Text = "X10Rg[";
            // 
            // comboBoxComPort
            // 
            this.comboBoxComPort.FormattingEnabled = true;
            this.comboBoxComPort.Items.AddRange(new object[] {
            "COM1",
            "COM2",
            "COM3",
            "COM4",
            "COM5",
            "COM6",
            "COM7",
            "COM8",
            "COM9",
            "COM10",
            "COM11",
            "COM12",
            "COM13",
            "COM14",
            "COM15",
            "COM16",
            "COM17",
            "COM18",
            "COM19",
            "COM20"});
            this.comboBoxComPort.Location = new System.Drawing.Point(160, 13);
            this.comboBoxComPort.Name = "comboBoxComPort";
            this.comboBoxComPort.Size = new System.Drawing.Size(90, 20);
            this.comboBoxComPort.TabIndex = 0;
            this.comboBoxComPort.Text = "COM1";
            // 
            // buttonOpen
            // 
            this.buttonOpen.Location = new System.Drawing.Point(30, 11);
            this.buttonOpen.Name = "buttonOpen";
            this.buttonOpen.Size = new System.Drawing.Size(49, 23);
            this.buttonOpen.TabIndex = 2;
            this.buttonOpen.Text = "ڑ";
            this.buttonOpen.UseVisualStyleBackColor = true;
            this.buttonOpen.Click += new System.EventHandler(this.buttonOpen_Click);
            // 
            // buttonClose
            // 
            this.buttonClose.Location = new System.Drawing.Point(85, 11);
            this.buttonClose.Name = "buttonClose";
            this.buttonClose.Size = new System.Drawing.Size(49, 23);
            this.buttonClose.TabIndex = 3;
            this.buttonClose.Text = "~";
            this.buttonClose.UseVisualStyleBackColor = true;
            this.buttonClose.Click += new System.EventHandler(this.buttonClose_Click);
            // 
            // checkBoxAutoStart
            // 
            this.checkBoxAutoStart.AutoSize = true;
            this.checkBoxAutoStart.Location = new System.Drawing.Point(6, 14);
            this.checkBoxAutoStart.Name = "checkBoxAutoStart";
            this.checkBoxAutoStart.Size = new System.Drawing.Size(112, 16);
            this.checkBoxAutoStart.TabIndex = 4;
            this.checkBoxAutoStart.Text = "Iɐڑ";
            this.checkBoxAutoStart.UseVisualStyleBackColor = true;
            //this.checkBoxAutoStart.CheckedChanged += new System.EventHandler(this.checkBoxAutoStart_CheckedChanged);
            // 
            // checkBoxAutoPortScan
            // 
            this.checkBoxAutoPortScan.AutoSize = true;
            this.checkBoxAutoPortScan.Location = new System.Drawing.Point(123, 14);
            this.checkBoxAutoPortScan.Name = "checkBoxAutoPortScan";
            this.checkBoxAutoPortScan.Size = new System.Drawing.Size(172, 16);
            this.checkBoxAutoPortScan.TabIndex = 5;
            this.checkBoxAutoPortScan.Text = "SĂCOM|[gXL";
            this.checkBoxAutoPortScan.UseVisualStyleBackColor = true;
            this.checkBoxAutoPortScan.Visible = false;
            //this.checkBoxAutoPortScan.CheckedChanged += new System.EventHandler(this.checkBoxAutoPortScan_CheckedChanged);
            // 
            // groupBoxConnect
            // 
            this.groupBoxConnect.Controls.Add(this.comboBoxComPort);
            this.groupBoxConnect.Controls.Add(this.buttonOpen);
            this.groupBoxConnect.Controls.Add(this.buttonClose);
            this.groupBoxConnect.Location = new System.Drawing.Point(6, 14);
            this.groupBoxConnect.Name = "groupBoxConnect";
            this.groupBoxConnect.Size = new System.Drawing.Size(265, 39);
            this.groupBoxConnect.TabIndex = 6;
            this.groupBoxConnect.TabStop = false;
            this.groupBoxConnect.Text = "ڑ";
            // 
            // groupBoxSetting
            // 
            this.groupBoxSetting.Controls.Add(this.checkBoxAutoPortScan);
            this.groupBoxSetting.Controls.Add(this.checkBoxAutoStart);
            this.groupBoxSetting.Location = new System.Drawing.Point(275, 14);
            this.groupBoxSetting.Name = "groupBoxSetting";
            this.groupBoxSetting.Size = new System.Drawing.Size(301, 39);
            this.groupBoxSetting.TabIndex = 1;
            this.groupBoxSetting.TabStop = false;
            this.groupBoxSetting.Text = "ݒ";
            // 
            // serialPort1
            // 
            this.serialPort1.ReadTimeout = 1000;
            this.serialPort1.WriteTimeout = 1000;
            // 
            // groupBoxButton
            // 
            this.groupBoxButton.Controls.Add(this.buttonAllLightDim);
            this.groupBoxButton.Controls.Add(this.buttonAllUnitOff);
            this.groupBoxButton.Controls.Add(this.buttonAllLightBright);
            this.groupBoxButton.Controls.Add(this.buttonAllLightOn);
            this.groupBoxButton.Location = new System.Drawing.Point(275, 55);
            this.groupBoxButton.Name = "groupBoxButton";
            this.groupBoxButton.Size = new System.Drawing.Size(363, 48);
            this.groupBoxButton.TabIndex = 7;
            this.groupBoxButton.TabStop = false;
            this.groupBoxButton.Text = "S̃R}h";
            // 
            // buttonAllLightDim
            // 
            this.buttonAllLightDim.Location = new System.Drawing.Point(276, 16);
            this.buttonAllLightDim.Name = "buttonAllLightDim";
            this.buttonAllLightDim.Size = new System.Drawing.Size(80, 23);
            this.buttonAllLightDim.TabIndex = 6;
            this.buttonAllLightDim.Text = "SCg()";
            this.buttonAllLightDim.UseVisualStyleBackColor = true;
            this.buttonAllLightDim.Click += new System.EventHandler(this.buttonAllLightDim_Click);
            // 
            // buttonAllUnitOff
            // 
            this.buttonAllUnitOff.Location = new System.Drawing.Point(100, 16);
            this.buttonAllUnitOff.Name = "buttonAllUnitOff";
            this.buttonAllUnitOff.Size = new System.Drawing.Size(80, 23);
            this.buttonAllUnitOff.TabIndex = 5;
            this.buttonAllUnitOff.Text = "SjbgOff";
            this.buttonAllUnitOff.UseVisualStyleBackColor = true;
            this.buttonAllUnitOff.Click += new System.EventHandler(this.buttonAllUnitOff_Click);
            // 
            // buttonAllLightBright
            // 
            this.buttonAllLightBright.Location = new System.Drawing.Point(189, 16);
            this.buttonAllLightBright.Name = "buttonAllLightBright";
            this.buttonAllLightBright.Size = new System.Drawing.Size(80, 23);
            this.buttonAllLightBright.TabIndex = 4;
            this.buttonAllLightBright.Text = "SCg()";
            this.buttonAllLightBright.UseVisualStyleBackColor = true;
            this.buttonAllLightBright.Click += new System.EventHandler(this.buttonAllLightBright_Click);
            // 
            // buttonAllLightOn
            // 
            this.buttonAllLightOn.Location = new System.Drawing.Point(14, 16);
            this.buttonAllLightOn.Name = "buttonAllLightOn";
            this.buttonAllLightOn.Size = new System.Drawing.Size(80, 23);
            this.buttonAllLightOn.TabIndex = 3;
            this.buttonAllLightOn.Text = "SCgOn";
            this.buttonAllLightOn.UseVisualStyleBackColor = true;
            this.buttonAllLightOn.Click += new System.EventHandler(this.buttonAllLightOn_Click);
            // 
            // groupBoxAdd
            // 
            this.groupBoxAdd.Controls.Add(this.comboBoxType);
            this.groupBoxAdd.Controls.Add(this.buttonAttach);
            this.groupBoxAdd.Controls.Add(this.comboBoxUnitCode);
            this.groupBoxAdd.Controls.Add(this.comboBoxHouseCode);
            this.groupBoxAdd.Location = new System.Drawing.Point(4, 54);
            this.groupBoxAdd.Name = "groupBoxAdd";
            this.groupBoxAdd.Size = new System.Drawing.Size(267, 49);
            this.groupBoxAdd.TabIndex = 8;
            this.groupBoxAdd.TabStop = false;
            this.groupBoxAdd.Text = "W[ǉ";
            // 
            // comboBoxType
            // 
            this.comboBoxType.FormattingEnabled = true;
            this.comboBoxType.Items.AddRange(new object[] {
            "Lamp",
            "Appliance"});
            this.comboBoxType.Location = new System.Drawing.Point(111, 19);
            this.comboBoxType.Name = "comboBoxType";
            this.comboBoxType.Size = new System.Drawing.Size(78, 20);
            this.comboBoxType.TabIndex = 2;
            this.comboBoxType.Text = "Lamp";
            // 
            // buttonAttach
            // 
            this.buttonAttach.Location = new System.Drawing.Point(201, 18);
            this.buttonAttach.Name = "buttonAttach";
            this.buttonAttach.Size = new System.Drawing.Size(51, 23);
            this.buttonAttach.TabIndex = 3;
            this.buttonAttach.Text = "ǉ";
            this.buttonAttach.UseVisualStyleBackColor = true;
            this.buttonAttach.Click += new System.EventHandler(this.buttonAttach_Click);
            // 
            // comboBoxUnitCode
            // 
            this.comboBoxUnitCode.FormattingEnabled = true;
            this.comboBoxUnitCode.Items.AddRange(new object[] {
            "1",
            "2",
            "3",
            "4",
            "5",
            "6",
            "7",
            "8",
            "9",
            "10",
            "11",
            "12",
            "13",
            "14",
            "15",
            "16"});
            this.comboBoxUnitCode.Location = new System.Drawing.Point(61, 19);
            this.comboBoxUnitCode.Name = "comboBoxUnitCode";
            this.comboBoxUnitCode.Size = new System.Drawing.Size(44, 20);
            this.comboBoxUnitCode.TabIndex = 1;
            this.comboBoxUnitCode.Text = "1";
            // 
            // comboBoxHouseCode
            // 
            this.comboBoxHouseCode.FormattingEnabled = true;
            this.comboBoxHouseCode.Items.AddRange(new object[] {
            "A",
            "B",
            "C",
            "D",
            "E",
            "F",
            "G",
            "H",
            "I",
            "J",
            "K",
            "L",
            "M",
            "N",
            "O",
            "P"});
            this.comboBoxHouseCode.Location = new System.Drawing.Point(18, 19);
            this.comboBoxHouseCode.Name = "comboBoxHouseCode";
            this.comboBoxHouseCode.Size = new System.Drawing.Size(37, 20);
            this.comboBoxHouseCode.TabIndex = 0;
            this.comboBoxHouseCode.Text = "A";
            // 
            // Panel
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 12F);
            this.AutoScroll = true;
            this.Name = "Panel";
            this.Size = new System.Drawing.Size(650, 122);
            this.Load += new System.EventHandler(this.Panel_Load);
            this.groupBox1.ResumeLayout(false);
            this.groupBoxConnect.ResumeLayout(false);
            this.groupBoxSetting.ResumeLayout(false);
            this.groupBoxSetting.PerformLayout();
            this.groupBoxButton.ResumeLayout(false);
            this.groupBoxAdd.ResumeLayout(false);
            this.ResumeLayout(false);

        }

        #endregion

        private System.Windows.Forms.ComboBox comboBoxComPort;
        private System.Windows.Forms.CheckBox checkBoxAutoStart;
        private System.Windows.Forms.Button buttonClose;
        private System.Windows.Forms.Button buttonOpen;
        private System.Windows.Forms.CheckBox checkBoxAutoPortScan;
        private System.Windows.Forms.GroupBox groupBoxConnect;
        private System.Windows.Forms.GroupBox groupBoxSetting;
        private System.IO.Ports.SerialPort serialPort1;
        private System.Windows.Forms.GroupBox groupBoxButton;
        private System.Windows.Forms.Button buttonAllLightOn;
        private System.Windows.Forms.GroupBox groupBoxAdd;
        private System.Windows.Forms.ComboBox comboBoxHouseCode;
        private System.Windows.Forms.ComboBox comboBoxUnitCode;
        private System.Windows.Forms.Button buttonAttach;
        private System.Windows.Forms.ComboBox comboBoxType;
        private System.Windows.Forms.Button buttonAllLightDim;
        private System.Windows.Forms.Button buttonAllUnitOff;
        private System.Windows.Forms.Button buttonAllLightBright;
    }
}
